#ifndef _CommonDialog_CPP
#define _CommonDialog_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <ShlObj.H>
#include <Stdio.H>
#include <ShlOBJ.H>
#include <Stdlib.H>

#include "../Resources/Resource.H"

#include "NSWFL.H"
#include "Package.H"
#include "Entry.H"
#include "CommonDialog.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

char gsExtractLocation[255 + 1];

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

char *FormatiString(char *outStr, char *inStr)
{
    int RPos = strlen(inStr) - 1;
    int WPos = 0;
    int DPos = 0;

    if(RPos < 3)
    {
        strcpy(outStr, inStr);
        return outStr;
    }

    while(RPos != -1)
    {
        if(DPos == 3)
        {
            outStr[WPos] = ',';
            WPos++;
            DPos = 0;
        }

        outStr[WPos] = inStr[RPos];

        RPos--;
        WPos++;
        DPos++;
    }

    ReverseString(outStr, WPos);

    outStr[WPos] = '\0';

    return outStr;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

char *FormatInteger(char *outStr, long inLong)
{
    char Long[64];
    sprintf(Long, "%d", inLong);
    return FormatiString(outStr, Long);
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void SetStatusFileName(HWND xHandle, char *StatusText)
{
    char LocalBuffer[60 + 1];

    int Length = strlen(StatusText);
    int RPos = 0;
    int WPos = 0;
    int MinPos = (Length - 60);

    if(Length <= 60)
    {
        Set_Text(xHandle, StatusText);
        return;
    }

    RPos = Length;

    while(RPos != MinPos)
    {
        if(StatusText[RPos] == '\\')
            break;

        RPos--;
    }

    while(RPos < Length)
    {
        LocalBuffer[WPos] = StatusText[RPos];
        RPos++;
        WPos++;
    }

    LocalBuffer[WPos] = '\0';

    Set_Text(xHandle, LocalBuffer);
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

